package com.ruoyi.system.service;

import com.ruoyi.system.domain.QyPerson;

import java.util.List;
import java.util.Map;

/**
 * 人员表Service接口
 * 
 * @author ruoyi
 * @date 2019-09-10
 */
public interface IQyPersonService 
{
    /**
     * 查询人员表
     * 
     * @param id 人员表ID
     * @return 人员表
     */
    QyPerson selectQyPersonById(Long id);

    /**
     * 查询人员表列表
     * 
     * @param qyPerson 人员表
     * @return 人员表集合
     */
    List<QyPerson> selectQyPersonList(QyPerson qyPerson);

    /**
     * 新增人员表
     * 
     * @param qyPerson 人员表
     * @return 结果
     */
    int insertQyPerson(QyPerson qyPerson);

    /**
     * 修改人员表
     * 
     * @param qyPerson 人员表
     * @return 结果
     */
    int updateQyPerson(QyPerson qyPerson);

    /**
     * 批量删除人员表
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteQyPersonByIds(String ids);

    /**
     * 删除人员表信息
     * 
     * @param id 人员表ID
     * @return 结果
     */
    int deleteQyPersonById(Long id);

    /**
     * 增加人员表信息
     *
     * @param
     * @return
     */
    int SubmitCard(QyPerson qyPerson);

    /**
     * 材料读取
     *
     * @param hyid 行业表ID
     * @return 结果
     */
    List<Map> GetCailiao(String hyid);

    /**
     * 保存材料
     */
    int updateCailiao(QyPerson qyPerson);

    /**
     * 查找人员信息
     * @param id
     * @return
     */
    List<QyPerson> selectQyPersonBybsid(String id);

    /**
     * 查找人员信息
     * @param id
     * @return
     */
    List<QyPerson> selectQyPersonBybsids(String id);

    /**
     * 修改人员表-委托人
     *
     * @param qyPerson 人员表
     * @return 结果
     */
    int updateWtr(QyPerson qyPerson);
}
